> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoyextensions/browser-plugins/block-ui.md).

# Block UI (ref)

(part of package '[Block UI](/reference/servoyextensions/packages/browser-plugin-packages/block-ui.md)')

You can access it in code via: **plugins.svyBlockUI**

Block UI Service can show an overlay over the whole browser page while some (long) operations are being executed. It prevents any interaction with the UI. The overlay UI can be customized from CSS, using block-ui-main and block-ui-spinner classes.

## Properties

### delay

This is the delay in milliseconds how long it must take to start show the blocking ui Type: [Number](/reference/servoycore/dev-api/js-lib/number.md) Default Value: 250

***

### messageStyleClass

CSS style class applied to the message area of the blocking UI. Type: [Styleclass](/reference/servoy-developer/component_and_service_property_types.md#styleclass)

***

### overlayColor

(Deprecated) The overlay color for the blocking UI. Use CSS classes (block-ui-main) to style the overlay. Type: [Color](/reference/servoy-developer/component_and_service_property_types.md#color) Default Value: "#ffffff"

***

### overlayOpacity

(Deprecated) The overlay opacity for the blocking UI. Use CSS classes (block-ui-main) to style the overlay. Type: [Number](/reference/servoycore/dev-api/js-lib/number.md) Default Value: 0.5

***

### spinner

(Deprecated) The spinner configuration as a string. Use CSS classes (block-ui-spinner) to style the spinner. Type: [String](/reference/servoycore/dev-api/js-lib/string.md)

***

### spinnerBgColor

(Deprecated) The background color for the spinner. Use CSS classes (block-ui-spinner) to style the spinner. Type: [Color](/reference/servoy-developer/component_and_service_property_types.md#color)

***

## API

### setMessage(message)

Updates the message of the UI Blocker

**Parameters:**

> * {[String](/reference/servoycore/dev-api/js-lib/string.md)} message The new message to display while the UI is blocked.

***

### show(message,timeout)

Shows the UI Blocker

**Parameters:**

> * {[String](/reference/servoycore/dev-api/js-lib/string.md)} message The message to display while the UI is blocked.
> * {[Number](/reference/servoycore/dev-api/js-lib/number.md)} \[timeout] Number of milliseconds until the blocker is hidden

***

### stop(timeout)

Stops all UI Blockers

**Parameters:**

> * {[Number](/reference/servoycore/dev-api/js-lib/number.md)} \[timeout] Optional number of milliseconds until the blocker is hidden

***

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoyextensions/browser-plugins/block-ui.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
